commit:     64e15f7416bd638ed12830b5a94c3a453921af4b
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 11 20:46:23 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Apr 11 20:52:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64e15f74

net-mail/fdm: migrate to GLEP 81

Closes: https://bugs.gentoo.org/781404
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-mail/fdm/fdm-2.0-r1.ebuild | 53 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/net-mail/fdm/fdm-2.0-r1.ebuild b/net-mail/fdm/fdm-2.0-r1.ebuild
new file mode 100644
index 00000000000..4e24d3c741f
--- /dev/null
+++ b/net-mail/fdm/fdm-2.0-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="fetch, filter and deliver mail"
+HOMEPAGE="https://github.com/nicm/fdm";
+SRC_URI="https://github.com/nicm/fdm/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="examples libressl pcre"
+
+DEPEND="
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+       sys-libs/tdb
+       pcre? ( dev-libs/libpcre )
+"
+RDEPEND="
+       ${DEPEND}
+       acct-group/fdm
+       acct-user/fdm
+"
+
+DOCS=( CHANGES README TODO MANUAL )
+
+src_prepare() {
+       default
+
+       # Change user '_fdm' to 'fdm'
+       sed -e 's/_fdm/fdm/g' -i fdm.h || die
+}
+
+src_configure() {
+       econf $(use_enable pcre)
+}
+
+src_install() {
+       default
+
+       if use examples ; then
+               docinto examples
+               dodoc examples/*
+       fi
+}
+
+pkg_preinst() {
+       # This user is hard-coded in fdm.h. If fdm is started as root,
+       # it will attempt to drop privileges (to this user).
+       enewuser _fdm
+}

Reply via email to